Bug 1027696 - the tray-open value for floppy disk has no any changes when eject and change it in HMP
the tray-open value for floppy disk has no any changes when eject and change ...
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm (Show other bugs)
6.5
Unspecified Unspecified
low Severity low
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
:
Depends On:
Blocks: 1028264
  Show dependency treegraph
 
Reported: 2013-11-07 05:03 EST by Sibiao Luo
Modified: 2014-06-12 09:38 EDT (History)
10 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1028264 (view as bug list)
Environment:
Last Closed: 2014-06-12 09:38:47 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sibiao Luo 2013-11-07 05:03:50 EST
Description of problem:
the tray-open value for floppy disk has no any changes when eject and change it in HMP. But the QMP has DEVICE_TRAY_MOVED event with tray-open.
Please refer to bug 953070 - QMP: DEVICE_TRAY_MOVED with tray-open=true is emitted twice on floppy change

Version-Release number of selected component (if applicable):
host info:
# uname -r && rpm -q qemu-kvm
2.6.32-429.el6.x86_64
qemu-kvm-0.12.1.2-2.370.el6.x86_64
guest info:
2.6.32-429.el6.x86_64

How reproducible:
100%

Steps to Reproduce:
1.boot guest with a floppy.
e.g:...-drive file=/home/floppy1.qcow2,if=none,id=drive-fdc0-0-0,readonly=on,format=qcow2 -global isa-fdc.driveA=drive-fdc0-0-0
(qemu) info block
drive-fdc0-0-0: removable=1 locked=0 tray-open=0 file=/home/floppy1.qcow2 ro=1 drv=qcow2 encrypted=0
...
2.eject the floppy.
(qemu) eject drive-fdc0-0-0
(qemu) info block
...
drive-fdc0-0-0: removable=1 locked=0 tray-open=0 [not inserted]
3.change the floppy.
(qemu) change drive-fdc0-0-0 /home/floppy1.qcow2
(qemu) info block
...
drive-fdc0-0-0: removable=1 locked=0 tray-open=0 file=/home/floppy1.qcow2 ro=0 drv=qcow2 encrypted=0

Actual results:
the tray-open value for floppy disk has no any changes when eject and change it in HMP.

Expected results:
after step 2, the tray-open=1.

Additional info:
Comment 1 Sibiao Luo 2013-11-07 22:17:58 EST
The latest qemu-kvm-0.12.1.2-2.415.el6.x86_64 also hit it.
host info:
# uname -r && rpm -q qemu-kvm
2.6.32-429.el6.x86_64
qemu-kvm-0.12.1.2-2.415.el6.x86_64

Best Regards,
sluo
Comment 2 RHEL Product and Program Management 2013-11-10 22:35:07 EST
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 3 Ademar Reis 2014-06-12 09:38:47 EDT
corner case of HMP+floppy, closing as WONTFIX for now.

Note You need to log in before you can comment on or make changes to this bug.